#ifndef __LCD8B_H__
#define __LCD8B_H__

// port,do ktrego podczono wywietlacz LCD
#define	PORT			P2
// bity sterujce LCD
#define	ENABLE 		P0^6
#define	REGISTER		P0^7
// opnienie okoo 1 milisekundy dla kwarcu 22,1184MHz
void Delay (unsigned int k);
// zapis bajtu do lcd
void WriteByteToLcd(char X);
// zapis bajtu do rejestru kontrolnego LCD
void WriteToLcdCtrlRegister(char X);
// zapis bajtu do pamici obrazu
void LcdWrite(char X);
// czyszczenie ekranu LCD
void LcdClrScr(void);
// inicjalizacja wywietlacza LCD w trybie 8 bitw
void LcdInitialize(void);
// ustawia kursor na wsprzdnych x,y
void GotoXY(char x, char y);
// wywietla tekst na wsprzdnych x, y
void WriteTextXY(char x, char y, char *S);
// wywietla tekst na wsprzdnych x, y
void WriteText(char *S);
// definiowanie znakw z tablicy CGRom
void DefineSpecialCharacters(char *ptr);

#endif
