#include <reg8252.h>
#include <spi.h>

//wysanie bajtu przez interfejs SPI
void SPI_Send(char x)
{
	char temp;
	
	SPCR |= 0x40;						//SPE = 1;
	temp = SPSR;						//odczyt rejestrw w celu zerowania flagi SPIF
	temp = SPDR;
	SPDR = x;							//zapis bajtu do rejestru danych SPI
	SPIWAIT;								//oczekiwanie na zakoczenie wysyki
}

//odbir znakw
char SPI_Receive(void)
{
	SPCR |= 0x40;						//SPE = 1;
	SPIWAIT;								//oczekiwanie na odbir znaku
	return (SPDR);
}

//inicjalizacja interfejsu SPI zgodnie z "mode", ale SPI WYCZONY!!!
void SPI_Init(char mode)
{
	SPCR = mode & 0xBF;
}

